Subject: Re: bug#42802: Unhandled FTP exception when using GNU importer

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 02 Feb 2021 13:50:20 -0500

Hi Simon,

zimoun <[email-masked]> writes:

> Hi Maxim
>
> On Tue, 2 Feb 2021 at 15:13, Maxim Cournoyer <[email-masked]> wrote:
>
>> ./pre-inst-env guix import gnu libsocketcan
>> guix import: error: failed to determine latest release of GNU libsocketcan
>>
>> Thanks for the fix; that's much nicer than a backtrace.  It would be
>> even better if it said:
>>
>> 'guix import: error: No GNU package found for "libsocketcan"'

> Yeah, replace the message sounds good.  The one you are proposing
> works for both cases: "guix import gnu [email-masked]" and "guix import
> gnu not-gnu-package".  Even if version is not supported, another
> story.
> Attached the trivial patch in case.

There was more to it than just the message; some code was already in
place to address this case but was not exercised.

See commit 889f425b35, which fixes it.

Thanks!

Maxim